package Reldb.RelUserCode;

import org.reldb.rel.v0.types.*;
import org.reldb.rel.v0.types.builtin.*;
import org.reldb.rel.v0.types.userdefined.*;
import org.reldb.rel.v0.values.*;
import org.reldb.rel.v0.vm.Context;

public class op_IS_DIGITS__CHARACTER {
	private static final ValueBoolean do_IS_DIGITS(Context context, ValueCharacter s) {
		
			String sbuf = s.stringValue();
			for (int i=0; i<sbuf.length(); i++)
				if (!Character.isDigit(sbuf.charAt(i)))
					return ValueBoolean.select(context.getGenerator(), false);
			return ValueBoolean.select(context.getGenerator(), true);
	}

	public static final void execute(Context context) {
		ValueCharacter p0 = (ValueCharacter)context.pop();
		context.push(do_IS_DIGITS(context, p0));
	}
}